## qt6-virtualkeyboard 6.2.4+dfsg

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(virtualkeyboard)

qt_examples_build_end()

=== src/plugin/CMakeLists.txt ===
# Generated from plugin.pro.

#####################################################################
## QVirtualKeyboardPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QVirtualKeyboardPlugin
    OUTPUT_NAME qtvirtualkeyboardplugin
    PLUGIN_TYPE platforminputcontexts
    DEFAULT_IF FALSE
    SOURCES
        extensionloader.cpp extensionloader.h
        plugin.cpp plugin.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboardPrivate
)

#### Keys ignored in scope 1:.:.:plugin.pro:<TRUE>:
# OTHER_FILES = "qtvirtualkeyboard.json"
# PLUGIN_EXTENDS = "-"

## Scopes:
#####################################################################

qt_internal_extend_target(QVirtualKeyboardPlugin CONDITION no-builtin-style
    DEFINES
        QT_VIRTUALKEYBOARD_NO_BUILTIN_STYLES
)

qt_internal_extend_target(QVirtualKeyboardPlugin CONDITION disable-layouts
    DEFINES
        QT_VIRTUALKEYBOARD_DISABLE_LAYOUTS
)

qt_internal_extend_target(QVirtualKeyboardPlugin CONDITION WIN32
    LIBRARIES
        imm32
)

#### Keys ignored in scope 4:.:.:plugin.pro:WIN32:
# QMAKE_TARGET_DESCRIPTION = "Virtual Keyboard for Qt."
# QMAKE_TARGET_PRODUCT = "Qt Virtual Keyboard (Qt $$QT_VERSION)"

=== src/plugins/CMakeLists.txt ===
# Generated from plugins.pro.

if(QT_FEATURE_cerence_sdk)
    add_subdirectory(cerence)
endif()
if(QT_FEATURE_hangul)
    add_subdirectory(hangul)
endif()
if(QT_FEATURE_hunspell)
    add_subdirectory(hunspell)
endif()
if(QT_FEATURE_openwnn)
    add_subdirectory(openwnn)
endif()
if(QT_FEATURE_pinyin AND NOT QT_FEATURE_cerence_xt9)
    add_subdirectory(pinyin)
endif()
if(QT_FEATURE_tcime)
    add_subdirectory(tcime)
endif()
if(QT_FEATURE_myscript)
    add_subdirectory(myscript)
endif()
if(QT_FEATURE_thai)
    add_subdirectory(thai)
endif()

=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

add_subdirectory(inputpanel)
add_subdirectory(inputpanelcontrols)
add_subdirectory(styles)
add_subdirectory(layoutfilesystem)
add_subdirectory(layoutresources)
# add_subdirectory(cmake) # special case
add_subdirectory(dictionarymanager)

=== examples/virtualkeyboard/basic/CMakeLists.txt ===
# Generated from basic.pro.

cmake_minimum_required(VERSION 3.16)
project(basic LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/virtualkeyboard/basic")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Quick)

qt_add_executable(basic
    main.cpp
)
set_target_properties(basic PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(basic PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)


# Resources:
set(demo_resource_files
    "Basic.qml"
    "basic-b2qt.qml"
    "content/AutoScroller.qml"
    "content/FloatingButton_Active.svg"
    "content/FloatingButton_Available.svg"
    "content/FloatingButton_Unavailable.svg"
    "content/HandwritingModeButton.qml"
    "content/TextArea.qml"
    "content/TextField.qml"
)

qt6_add_resources(basic "demo"
    PREFIX
        "/"
    FILES
        ${demo_resource_files}
)

if(QT_FEATURE_static) # special case
    find_package(Qt6 COMPONENTS Svg) # special case
    target_link_libraries(basic PUBLIC
        Qt::Svg
    )
endif()

if(NOT QT_FEATURE_vkb_desktop)
    target_compile_definitions(basic PUBLIC
        MAIN_QML="basic-b2qt.qml" # special case
    )
endif()

if(QT_FEATURE_vkb_desktop)
    target_compile_definitions(basic PUBLIC
        MAIN_QML="Basic.qml" # special case
    )
endif()

install(TARGETS basic
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/manual/quickcontrols2/CMakeLists.txt ===
# Generated from quickcontrols2.pro.

#####################################################################
## quickcontrols2 Binary:
#####################################################################

qt_internal_add_manual_test(quickcontrols2
    GUI
    SOURCES
        main.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

# Resources:
set(main_resource_files
    "main.qml"
)

qt_internal_add_resource(quickcontrols2 "main"
    PREFIX
        "/"
    FILES
        ${main_resource_files}
)


#### Keys ignored in scope 1:.:.:quickcontrols2.pro:<TRUE>:
# QML_IMPORT_PATH = <EMPTY>

=== src/plugins/cerence/cerence-hwr/CMakeLists.txt ===
# Generated from cerence-hwr.pro.

add_subdirectory(plugin)

=== src/plugins/cerence/cerencecommon/CMakeLists.txt ===
# Generated from cerencecommon.pro.

#####################################################################
## BundledCerencecommon Generic Library:
#####################################################################

qt_internal_add_3rdparty_library(BundledCerencecommon
    QMAKE_LIB_NAME cerencecommon
    STATIC
    SOURCES
        xt9dbfile.cpp xt9dbfile.h
        xt9ldbmanager.cpp xt9ldbmanager.h
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::VirtualKeyboardPrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(BundledCerencecommon CONDITION FEATURE_vkb_bundle_cerence OR FEATURE_vkb_bundle_cerence_xt9
    PUBLIC_DEFINES
        HAVE_XT9_RESOURCE
)

qt_internal_extend_target(BundledCerencecommon CONDITION FEATURE_vkb_cerence_xt9_debug
    PUBLIC_DEFINES
        XT9_DEBUG
)

if(FEATURE_vkb_bundle_cerence OR FEATURE_vkb_bundle_cerence_xt9)

    set(qmake_cerencecommondata_db_resource_files)

    foreach(lang IN LISTS valid_languages)
        if(FEATURE_vkb_lang_${lang})
            if(${lang} STREQUAL "en_GB")
                set(ldb_glob "EN*UK*.ldb")
            elseif(${lang} STREQUAL "en_US")
                set(ldb_glob "EN*US*.ldb")
            elseif(${lang} STREQUAL "es_ES")
                set(ldb_glob "ESusUN_*.ldb")
            elseif(${lang} STREQUAL "es_MX")
                set(ldb_glob "ESusUNlatam_*.ldb")
            elseif(${lang} STREQUAL "fr_FR")
                set(ldb_glob "FRusUN_*.ldb")
            elseif(${lang} STREQUAL "fr_CA")
                set(ldb_glob "FRusUNCA_*.ldb")
            elseif(${lang} STREQUAL "ko_KR")
                set(ldb_glob "KOusUN_xt9_ALM3.ldb")
            elseif(${lang} STREQUAL "pt_PT")
                set(ldb_glob "PTusUN_*.ldb")
            elseif(${lang} STREQUAL "pt_BR")
                set(ldb_glob "PTusUNBR_*.ldb")
            elseif(${lang} STREQUAL "zh_CN")
                set(ldb_glob "ZHsbUNps_GB18030_*.ldb")
            elseif(${lang} STREQUAL "zh_TW")
                set(ldb_glob "ZHtbUNps_Big5_*.ldb")
            elseif(${lang} STREQUAL "zh_HK")
                set(ldb_glob "ZHtbUNps_Big5HKSCS_*.ldb")
            else()
                string(SUBSTRING ${lang} 0 2 lang_code)
                string(TOUPPER lang_code ${lang_code})
                set(ldb_glob "${lang_code}*.ldb")
            endif()
            file(GLOB resource_glob_0 RELATIVE "${CERENCE_XT9_DATAPATH}" "${CERENCE_XT9_DATAPATH}/${ldb_glob}")
            foreach(file IN LISTS resource_glob_0)
                set_source_files_properties("${CERENCE_XT9_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
            endforeach()
            list(APPEND qmake_cerencecommondata_db_resource_files ${resource_glob_0})
        endif()
    endforeach()

    list(REMOVE_DUPLICATES qmake_cerencecommondata_db_resource_files)

    qt_internal_add_resource(BundledCerencecommon "qmake_cerencecommondata_db"
        PREFIX
            "/QtQuick/VirtualKeyboard/Cerence/Xt9"
        BASE
            "${CERENCE_XT9_DATAPATH}"
        FILES
            ${qmake_cerencecommondata_db_resource_files}
        OPTIONS
            -no-compress
    )
else()
    qt_copy_or_install(
        DIRECTORY "${CERENCE_XT9_DATAPATH}/"
        DESTINATION "${VKB_INSTALL_DATA}/cerence/xt9"
        FILES_MATCHING
        PATTERN "*.ldb"
    )
endif()

#### Keys ignored in scope 2:.:.:cerencecommon.pro:FEATURE_vkb_bundle_cerence OR FEATURE_vkb_bundle_cerence_xt9:
# QMAKE_RESOURCE_FLAGS = "-no-compress"

#### Keys ignored in scope 3:.:.:cerencecommon.pro:COMMON_RESOURCE_FILES_ISEMPTY:
# COMMON_RESOURCE_FILES = "dummy.txt"

#### Keys ignored in scope 5:.:..:../cerence.pri:CERENCE_SDK_ROOT_ISEMPTY:
# EXT_CERENCE_SDK_ROOT = "$$(CERENCE_SDK_ROOT)"

#### Keys ignored in scope 6:.:..:../cerence.pri:NOT EXT_CERENCE_SDK_ROOT_ISEMPTY:
# CERENCE_SDK_ROOT = "$$EXT_CERENCE_SDK_ROOT"

#### Keys ignored in scope 8:.:..:../cerence.pri:CERENCE_SDK_ROOT_ISEMPTY:
# CERENCE_SDK_ROOT = "$$PWD/sdk"

#### Keys ignored in scope 11:.:..:../cerence.pri:QT_ARCH___equals___arm:
# CERENCE_SHARED_LIB_PATH = "lib/linux/arm/shared"
# CERENCE_STATIC_LIB_PATH = "lib/linux/arm/static"

#### Keys ignored in scope 13:.:..:../cerence.pri:QT_ARCH___equals___arm64:
# CERENCE_SHARED_LIB_PATH = "lib/linux/arm64/shared"
# CERENCE_STATIC_LIB_PATH = "lib/linux/arm64/static"

#### Keys ignored in scope 15:.:..:../cerence.pri:QT_ARCH___equals___x86_64:
# CERENCE_SHARED_LIB_PATH = "lib/linux/x86_64/shared"
# CERENCE_STATIC_LIB_PATH = "lib/linux/x86_64/static"

#### Keys ignored in scope 17:.:..:../cerence.pri:QT_ARCH___equals___x86 OR QT_ARCH___equals___i386:
# CERENCE_SHARED_LIB_PATH = "lib/linux/x86/shared"
# CERENCE_STATIC_LIB_PATH = "lib/linux/x86/static"

#### Keys ignored in scope 20:.:..:../cerence.pri:QT_ARCH___equals___x86_64:
# CERENCE_SHARED_LIB_PATH = "lib/win32/x86_64/shared"
# CERENCE_STATIC_LIB_PATH = "lib/win32/x86_64/static"

#### Keys ignored in scope 21:.:..:../cerence.pri:else:
# CERENCE_SHARED_LIB_PATH = "lib/win32/x86/shared"
# CERENCE_STATIC_LIB_PATH = "lib/win32/x86/static"

#### Keys ignored in scope 23:.:..:../cerence.pri:WIN32:
# result = "$$1/*.obj"

#### Keys ignored in scope 24:.:..:../cerence.pri:result_ISEMPTY:
# result = "$$1/*.lib"

#### Keys ignored in scope 25:.:..:../cerence.pri:else:
# result = "$$1/*.o"

#### Keys ignored in scope 26:.:..:../cerence.pri:result_ISEMPTY:
# result = "$$1/*.a"

#### Keys ignored in scope 28:.:..:../cerence.pri:WIN32:
# result = "$$1/*.lib"

#### Keys ignored in scope 29:.:..:../cerence.pri:else:
# result = "$$1/*.so"

#### Keys ignored in scope 31:.:..:../cerence.pri:WIN32:
# result = "$$1/*.dll"

#### Keys ignored in scope 32:.:..:../cerence.pri:else:
# result = "$$1/*.so"

#### Keys ignored in scope 33:.:..:../cerence.pri:EXISTS _ss_CERENCE_HWR_INCLUDEPATH/decuma_hwr.h:
# CERENCE_HWR_ALPHABETIC_FOUND = "1"

#### Keys ignored in scope 34:.:..:../cerence.pri:EXISTS _ss_CERENCE_HWR_INCLUDEPATH/decuma_hwr_cjk.h:
# CERENCE_HWR_CJK_FOUND = "1"

#### Keys ignored in scope 37:.:..:../cerence.pri:NOT cerence-hwr-static:
# CERENCE_HWR_ALPHABETIC_LIBS = "$$findSharedLibrary($$CERENCE_SDK_ROOT/t9write/$$CERENCE_SHARED_LIB_PATH/alphabetic)"

#### Keys ignored in scope 38:.:..:../cerence.pri:NOT CERENCE_HWR_ALPHABETIC_LIBS_ISEMPTY:
# CERENCE_HWR_ALPHABETIC_BINS = "$$findSharedBinary($$CERENCE_SDK_ROOT/t9write/$$CERENCE_SHARED_LIB_PATH/alphabetic)"

#### Keys ignored in scope 39:.:..:../cerence.pri:else:
# CERENCE_HWR_ALPHABETIC_LIBS = "$$findStaticLibrary($$CERENCE_SDK_ROOT/t9write/$$CERENCE_STATIC_LIB_PATH/alphabetic)"

#### Keys ignored in scope 41:.:..:../cerence.pri:NOT cerence-hwr-static:
# CERENCE_HWR_CJK_LIBS = "$$findSharedLibrary($$CERENCE_SDK_ROOT/t9write/$$CERENCE_SHARED_LIB_PATH/cjk)"

#### Keys ignored in scope 42:.:..:../cerence.pri:NOT CERENCE_HWR_CJK_LIBS_ISEMPTY:
# CERENCE_HWR_CJK_BINS = "$$findSharedBinary($$CERENCE_SDK_ROOT/t9write/$$CERENCE_SHARED_LIB_PATH/cjk)"

#### Keys ignored in scope 43:.:..:../cerence.pri:else:
# CERENCE_HWR_CJK_LIBS = "$$findStaticLibrary($$CERENCE_SDK_ROOT/t9write/$$CERENCE_STATIC_LIB_PATH/cjk)"

#### Keys ignored in scope 44:.:..:../cerence.pri:(CERENCE_HWR_ALPHABETIC_FOUND EQUAL 1) AND NOT CERENCE_HWR_ALPHABETIC_LIBS_ISEMPTY:
# CERENCE_HWR_FOUND = "1"

#### Keys ignored in scope 45:.:..:../cerence.pri:(CERENCE_HWR_CJK_FOUND EQUAL 1) AND NOT CERENCE_HWR_CJK_LIBS_ISEMPTY:
# CERENCE_HWR_FOUND = "1"

#### Keys ignored in scope 46:.:..:../cerence.pri:EXISTS _ss_XT9_INCLUDEPATH/et9api.h:
# XT9_FOUND = "1"

#### Keys ignored in scope 48:.:..:../cerence.pri:NOT QT_FEATURE_xt9_static:
# XT9_LIBS = "$$findSharedLibrary($$CERENCE_SDK_ROOT/xt9/$$CERENCE_SHARED_LIB_PATH)"

#### Keys ignored in scope 49:.:..:../cerence.pri:NOT XT9_LIBS_ISEMPTY:
# XT9_BINS = "$$findSharedBinary($$CERENCE_SDK_ROOT/xt9/$$CERENCE_SHARED_LIB_PATH)"

#### Keys ignored in scope 50:.:..:../cerence.pri:else:
# XT9_LIBS = "$$findStaticLibrary($$CERENCE_SDK_ROOT/xt9/$$CERENCE_STATIC_LIB_PATH)"

=== src/plugins/hunspell/3rdparty/hunspell/CMakeLists.txt ===
# Generated from hunspell.pro.

#####################################################################
## BundledHunspell Generic Library:
#####################################################################

qt_internal_add_3rdparty_library(BundledHunspell
    QMAKE_LIB_NAME hunspell
    STATIC
    SOURCES
        config.h
        src/hunspell/affentry.cxx src/hunspell/affentry.hxx
        src/hunspell/affixmgr.cxx src/hunspell/affixmgr.hxx
        src/hunspell/atypes.hxx
        src/hunspell/baseaffix.hxx
        src/hunspell/csutil.cxx src/hunspell/csutil.hxx
        src/hunspell/filemgr.cxx src/hunspell/filemgr.hxx
        src/hunspell/hashmgr.cxx src/hunspell/hashmgr.hxx
        src/hunspell/htypes.hxx
        src/hunspell/hunspell.cxx src/hunspell/hunspell.h src/hunspell/hunspell.hxx
        src/hunspell/hunvisapi.h
        src/hunspell/hunzip.cxx src/hunspell/hunzip.hxx
        src/hunspell/langnum.hxx
        src/hunspell/phonet.cxx src/hunspell/phonet.hxx
        src/hunspell/replist.cxx src/hunspell/replist.hxx
        src/hunspell/suggestmgr.cxx src/hunspell/suggestmgr.hxx
        src/hunspell/w_char.hxx
    PUBLIC_DEFINES
        HUNSPELL_STATIC
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
)
qt_disable_warnings(BundledHunspell)

# special case begin
file(READ ChangeLog HUNSPELL_VERSION LIMIT 10)
string(STRIP ${HUNSPELL_VERSION} HUNSPELL_VERSION)
configure_file(config.h.cmake.in config.h)
# special case end

#### Keys ignored in scope 1:.:.:hunspell.pro:<TRUE>:
# OTHER_FILES = "src/hunspell/license.hunspell" "src/hunspell/license.myspell" "src/hunspell/utf_info.cxx"
# config_file = "/* Version number of package */" "$${LITERAL_HASH}define VERSION "$$VERSION""

## Scopes:
#####################################################################

qt_internal_extend_target(BundledHunspell CONDITION CMAKE_BUILD_TYPE STREQUAL Debug
    DEFINES
        HUNSPELL_WARNING_ON
)

=== debian/changelog ===
qt6-virtualkeyboard (6.2.4+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 23:10:20 +0200

qt6-virtualkeyboard (6.2.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:50:25 +0100

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libqt6svg6-dev (>= 6.2.4~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4+dfsg~),
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git
Rules-Requires-Root: no

Package: libqt6virtualkeyboard6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: libqt6hunspellinputmethod6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Hunspell Input Method helper library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt 6 Hunspell Input Method helper library.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Virtual Keyboard QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the QML module for thw Qt Virtual Keyboard.

Package: qt6-virtualkeyboard-plugin
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 5 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard plugin.

Package: libqt6virtualkeyboard6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

## qt6-virtualkeyboard 6.3.1+dfsg

=== debian/changelog ===
qt6-virtualkeyboard (6.3.1+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:24:04 +0200

qt6-virtualkeyboard (6.3.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 19:07:04 +0200

qt6-virtualkeyboard (6.3.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 20 Jun 2022 02:31:59 +0200

qt6-virtualkeyboard (6.2.4+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,23 @@
                hunspell-en-gb <!nocheck>,
                libgl-dev,
                libhunspell-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
-               libqt6svg6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6svg6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xfixes0-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4+dfsg~),
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git

## qt6-virtualkeyboard 6.4.2%2Bdfsg

=== src/plugins/hunspell/3rdparty/hunspell/CMakeLists.txt ===
#####################################################################
## BundledHunspell Generic Library:
#####################################################################

qt_internal_add_3rdparty_library(BundledHunspell
    QMAKE_LIB_NAME hunspell
    STATIC
    SOURCES
        hunspell/config.h
        hunspell/src/hunspell/affentry.cxx hunspell/src/hunspell/affentry.hxx
        hunspell/src/hunspell/affixmgr.cxx hunspell/src/hunspell/affixmgr.hxx
        hunspell/src/hunspell/atypes.hxx
        hunspell/src/hunspell/baseaffix.hxx
        hunspell/src/hunspell/csutil.cxx hunspell/src/hunspell/csutil.hxx
        hunspell/src/hunspell/filemgr.cxx hunspell/src/hunspell/filemgr.hxx
        hunspell/src/hunspell/hashmgr.cxx hunspell/src/hunspell/hashmgr.hxx
        hunspell/src/hunspell/htypes.hxx
        hunspell/src/hunspell/hunspell.cxx hunspell/src/hunspell/hunspell.h hunspell/src/hunspell/hunspell.hxx
        hunspell/src/hunspell/hunvisapi.h
        hunspell/src/hunspell/hunzip.cxx hunspell/src/hunspell/hunzip.hxx
        hunspell/src/hunspell/langnum.hxx
        hunspell/src/hunspell/phonet.cxx hunspell/src/hunspell/phonet.hxx
        hunspell/src/hunspell/replist.cxx hunspell/src/hunspell/replist.hxx
        hunspell/src/hunspell/suggestmgr.cxx hunspell/src/hunspell/suggestmgr.hxx
        hunspell/src/hunspell/w_char.hxx
    PUBLIC_DEFINES
        HUNSPELL_STATIC
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/hunspell/src>
)
qt_disable_warnings(BundledHunspell)

file(READ hunspell/ChangeLog HUNSPELL_VERSION LIMIT 10)
string(STRIP ${HUNSPELL_VERSION} HUNSPELL_VERSION)
configure_file(config.h.cmake.in hunspell/config.h)

qt_internal_extend_target(BundledHunspell CONDITION CMAKE_BUILD_TYPE STREQUAL Debug
    DEFINES
        HUNSPELL_WARNING_ON
)

=== debian/changelog ===
qt6-virtualkeyboard (6.4.2+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Jun 2023 10:24:11 -0300

qt6-virtualkeyboard (6.4.2+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Jun 2023 22:20:19 +0200

qt6-virtualkeyboard (6.4.2+dfsg-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 Jan 2023 00:45:52 +0100

qt6-virtualkeyboard (6.4.2+dfsg~rc1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jan 2023 16:37:15 -0300

qt6-virtualkeyboard (6.4.2+dfsg~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6virtualkeyboard6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:34:58 +0100

qt6-virtualkeyboard (6.4.2+dfsg~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:18 +0100

qt6-virtualkeyboard (6.4.2+dfsg~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:55 +0100

qt6-virtualkeyboard (6.4.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6virtualkeyboard6-dev to qt6-virtualkeyboard-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 23:42:01 +0100

qt6-virtualkeyboard (6.4.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:17:56 +0100

qt6-virtualkeyboard (6.4.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015626).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Nov 2022 14:11:28 +0100

qt6-virtualkeyboard (6.4.0+dfsg-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Adjust patches.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 14 Oct 2022 23:18:03 +0200

qt6-virtualkeyboard (6.3.1+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 15:33:57 -0300

qt6-virtualkeyboard (6.2.4+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 12:30:16 -0300

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,31 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lu YaNing <dluyaning@gmail.com>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                hunspell-en-gb <!nocheck>,
                libgl-dev,
                libhunspell-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6svg6-dev (>= 6.3.1~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xfixes0-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.3.1+dfsg~),
-               qml6-module-qttest (>= 6.3.1+dfsg~),
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qml6-module-qtquick (>= 6.4.2+dfsg~),
+               qml6-module-qttest (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-svg-dev (>= 6.4.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git
@@ -88,13 +90,16 @@
  .
  This package contains the Qt Virtual Keyboard plugin.
 
-Package: libqt6virtualkeyboard6-dev
+Package: qt6-virtualkeyboard-dev
+Provides: libqt6virtualkeyboard6-dev (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
+Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~)
+Replaces: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~)
 Description: Qt 6 Virtual Keyboard - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
